## lxqt-config 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-config)

set(LXQT_CONFIG_PROJECT "${PROJECT_NAME}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_APPEARANCE "Build the 'lxqt-config-appearance'" ON)
option(WITH_BRIGHTNESS "Build the 'lxqt-config-brightness'" ON)
option(WITH_FILE_ASSOCIATIONS "Build the 'lxqt-config-file-associations'" ON)
option(WITH_INPUT "Build the 'lxqt-config-input'" ON)
option(WITH_LOCALE "Build the 'lxqt-config-locale'" ON)
option(WITH_MONITOR "Build the 'lxqt-config-monitor'" ON)
option(WITH_TOUCHPAD "Build touchpad settings" ON)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(KF5_MINIMUM_VERSION "5.36.0")
set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
set(LXQT_MINIMUM_VERSION "1.1.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Patch Version
set(LXQT_CONFIG_PATCH_VERSION 0)

set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
add_definitions(
    "-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\""
)

include(LXQtTranslate)

add_subdirectory(src)
if (WITH_INPUT OR WITH_APPEARANCE)
    add_subdirectory(liblxqt-config-cursor)
endif()
if (WITH_INPUT)
    add_subdirectory(lxqt-config-input)
endif()
if (WITH_FILE_ASSOCIATIONS)
    add_subdirectory(lxqt-config-file-associations)
endif()
if (WITH_APPEARANCE)
    add_subdirectory(lxqt-config-appearance)
endif()
if (WITH_MONITOR)
    add_subdirectory(lxqt-config-monitor)
endif()
if (WITH_BRIGHTNESS)
    add_subdirectory(lxqt-config-brightness)
endif()
if (WITH_LOCALE)
    add_subdirectory(lxqt-config-locale)
endif()

install(FILES
    man/lxqt-config.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (1.1.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:38:09 -0700

lxqt-config (1.1.0-2) experimental; urgency=medium

  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - lxqt-config.install
    - patches directory
    - README.source
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 14 Jul 2022 14:22:12 -0500

lxqt-config (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Drop lxqt-config (<< 0.11.0) from Breaks and Replaces.
  * lxqt-config.install: ship lxqt-settings-other.directory file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Jul 2022 23:17:48 +0800

=== debian/control ===
Source: lxqt-config
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config
Rules-Requires-Root: no

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            qt5-style-plugins,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contains the l10n files needed by the lxqt-config.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif


%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CONF_FLAGS)

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lxqt-config 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== lxqt-config-appearance/CMakeLists.txt ===
project(lxqt-config-appearance)

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
)

set(H_FILES
    iconthemeinfo.h
)

set(MOC_FILES
    iconthemeconfig.h
    lxqtthemeconfig.h
    fontsconfig.h
    styleconfig.h
    fontconfigfile.h
    configothertoolkits.h
)

set(CPP_FILES
    main.cpp
    iconthemeconfig.cpp
    iconthemeinfo.cpp
    lxqtthemeconfig.cpp
    fontsconfig.cpp
    styleconfig.cpp
    fontconfigfile.cpp
    configothertoolkits.cpp
    colorLabel.cpp
    gtkconfig.cpp
)

set(UI_FILES
    iconthemeconfig.ui
    lxqtthemeconfig.ui
    fontsconfig.ui
    palettes.ui
    styleconfig.ui
    gtkconfig.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)


# Translations **********************************
lxqt_translate_ts(QM_FILES
        UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    ${LIBRARIES}
    lxqt-config-cursor
)

set_target_properties("${PROJECT_NAME}"
    PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

install(FILES
    man/lxqt-config-appearance.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-config-file-associations/CMakeLists.txt ===
project(lxqt-config-file-associations)

set(H_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(MOC_FILES
    mimetypedata.h
    mimetypeviewer.h
    applicationchooser.h
)

set(CPP_FILES
    mimetypedata.cpp
    mimetypeviewer.cpp
    applicationchooser.cpp
    main.cpp
)

set(UI_FILES
    mimetypeviewer.ui
    applicationchooser.ui
)

set(QRC_FILES "")

set(LIBRARIES
    lxqt
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${RESOURCES}
    ${QRC_FILES}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Xml
    Qt5::DBus
    Qt5::Widgets
    ${LIBRARIES}
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
project(lxqt-config)
add_subdirectory(qcategorizedview)
add_subdirectory(menuname)

include_directories (
    "${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview"
)

set(lxqt-config_HDRS "")

set(lxqt-config_SRCS
    main.cpp
    mainwindow.cpp
)

set(lxqt-config_MOCS
    mainwindow.h
)

set(lxqt-config_UIS
    mainwindow.ui
)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config_HDRS}
        ${lxqt-config_SRCS}
        ${lxqt-config_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config.desktop.in USE_YAML)

#************************************************

add_executable(lxqt-config
    ${lxqt-config_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-config
    Qt5::Widgets
    Qt5::Xml
    lxqt
)

# helper static lib
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview)
target_link_libraries(lxqt-config qcategorizedview)

install(TARGETS
    lxqt-config
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES lxqt-config.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== src/menuname/CMakeLists.txt ===
file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)

# Translations **********************************
lxqt_translate_desktop(DIRECTORY_FILES
    SOURCES
        ${DIRECTORY_FILES_IN}
    USE_YAML
)
add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
#************************************************

install(FILES
    ${DIRECTORY_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/desktop-directories"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary patch.
  * Update d/control indent.
  * Update d/copyright format and indent.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 23:34:14 +0800

lxqt-config (1.1.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 00:08:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-config
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -12,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                libkf5screen-dev,
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
+               liblxqt1-dev (>= 1.2.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -31,7 +30,8 @@
 
 Package: lxqt-config
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: galternatives,
             lxqt-config-l10n,
             lxqt-policykit,
@@ -42,12 +42,12 @@
             system-config-printer,
             xsettingsd
 Suggests: adwaita-qt,
-          cmst [linux-any] | network-manager-gnome [linux-any],
           faenza-icon-theme,
           gnome-themes-standard,
           gparted | partitionmanager [linux-any],
+          cmst [linux-any] | network-manager-gnome [linux-any],
+          lxqt | lxqt-core,
           lxappearance,
-          lxqt | lxqt-core,
           obconf-qt,
           synaptic
 Description: LXQt system settings center
@@ -60,7 +60,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: ${misc:Depends}, qttranslations5-l10n
 Description: Language package for lxqt-config
  The LXQt system settings center which summarizes all configuration tools as
  well as counterparts of other LXQt components or third-party applications.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,3 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CONF_FLAGS)
-
-# No dbgsym package:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## lxqt-config 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-config (1.3.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 17:02:58 -0700

lxqt-config (1.3.0-0.1~S7) bookworm; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 06:24:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-config
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -11,7 +12,7 @@
 Build-Depends: debhelper-compat (= 13),
                libkf5screen-dev,
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0~),
+               liblxqt1-dev (>= 1.3.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -30,8 +31,7 @@
 
 Package: lxqt-config
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: galternatives,
             lxqt-config-l10n,
             lxqt-policykit,
@@ -42,12 +42,12 @@
             system-config-printer,
             xsettingsd
 Suggests: adwaita-qt,
+          cmst [linux-any] | network-manager-gnome [linux-any],
           faenza-icon-theme,
           gnome-themes-standard,
           gparted | partitionmanager [linux-any],
-          cmst [linux-any] | network-manager-gnome [linux-any],
+          lxappearance,
           lxqt | lxqt-core,
-          lxappearance,
           obconf-qt,
           synaptic
 Description: LXQt system settings center
@@ -60,7 +60,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends}, qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language package for lxqt-config
  The LXQt system settings center which summarizes all configuration tools as
  well as counterparts of other LXQt components or third-party applications.

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,7 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(CONF_FLAGS)
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lxqt-config 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 set(CMAKE_AUTORCC ON)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(KF5SCREEN_MINIMUM_VERSION "5.2.0")
-set(LXQT_MINIMUM_VERSION "1.3.0")
+set(KF5SCREEN_MINIMUM_VERSION "5.27.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -36,6 +36,7 @@
 find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

=== lxqt-config-input/CMakeLists.txt ===
project(lxqt-config-input)

find_package(X11 REQUIRED)

if (WITH_TOUCHPAD)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(XORG_LIBINPUT REQUIRED xorg-libinput)
    pkg_check_modules(XORG_XI REQUIRED xi)
    pkg_check_modules(LIBUDEV REQUIRED libudev)
endif ()

set(lxqt-config-input_INCS
    ${X11_INCLUDE_DIR}
    "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
)

if (WITH_TOUCHPAD)
    add_definitions(
        "-DWITH_TOUCHPAD=\"ON\""
    )

    set(lxqt-config-input_INCS
        ${lxqt-config-input_INCS}
        ${XORG_LIBINPUT_INCLUDE_DIRS}
    )
endif ()

include_directories(
    ${lxqt-config-input_INCS}
)

set(lxqt-config-input_HDRS
    keyboardconfig.h
    mouseconfig.h
    mouseconfig.h
    keyboardlayoutconfig.h
    selectkeyboardlayoutdialog.h
)

set(lxqt-config-input_SRCS
    lxqt-config-input.cpp
    keyboardconfig.cpp
    mouseconfig.cpp
    keyboardlayoutconfig.cpp
    selectkeyboardlayoutdialog.cpp
)

set(lxqt-config-input_UIS
    mouseconfig.ui
    keyboardconfig.ui
    keyboardlayoutconfig.ui
    selectkeyboardlayoutdialog.ui
)

if (WITH_TOUCHPAD)
    set(lxqt-config-input_HDRS
        ${lxqt-config-input_HDRS}
        touchpadconfig.h
    )

    set(lxqt-config-input_SRCS
        ${lxqt-config-input_SRCS}
        touchpadconfig.cpp
        touchpaddevice.cpp
    )

    set(lxqt-config-input_UIS
        ${lxqt-config-input_UIS}
        touchpadconfig.ui
    )
endif ()

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-input_HDRS}
        ${lxqt-config-input_SRCS}
        ${lxqt-config-input_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)

#************************************************

add_definitions(
  -DPACKAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt-config-input"
)

add_executable(lxqt-config-input
    ${lxqt-config-input_SRCS}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

set(lxqt-config-input_TLBS
    Qt5::Widgets
    Qt5::X11Extras
    ${X11_LIBRARIES}
    lxqt
    lxqt-config-cursor
)

if (WITH_TOUCHPAD)
    set(lxqt-config-input_TLBS
        ${lxqt-config-input_TLBS}
        ${X11_Xinput_LIB}
        udev
    )
endif ()

target_link_libraries(lxqt-config-input
    ${lxqt-config-input_TLBS}
)

set_target_properties(lxqt-config-input
    PROPERTIES
    INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
)

install(TARGETS
    lxqt-config-input
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 project(lxqt-config)
 add_subdirectory(qcategorizedview)
-add_subdirectory(menuname)
 
 include_directories (
     "${CMAKE_CURRENT_SOURCE_DIR}/qcategorizedview"
@@ -65,7 +64,4 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     COMPONENT Runtime
 )
-install(FILES lxqt-config.menu
-    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
-    COMPONENT Runtime
-)
+

=== debian/changelog ===
lxqt-config (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:14:19 +0000

lxqt-config (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:48:21 +0000

lxqt-config (1.4.0-0ubuntu2) noble; urgency=medium

  * Add two upstream patches to improve the user experience, especially around
    monitor handling.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Dec 2023 16:05:33 -0600

lxqt-config (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bumped build dependency versions.
  * Added lxqt-menu-data as a build dependency.
  * Removee no-longer-existing files from lxqt-config.install.
  * Updated lintian-overrides syntax.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Created upstream/metadata file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 12 Nov 2023 18:12:05 -0600

lxqt-config (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * I guess we don't require root to build, do we?
  * Bump Standards-version to 4.6.2, no changes needed.
  * Fix the copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:49:54 -0500

lxqt-config (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream version.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump Standards-version, no changes needed.
  * Bump build dependencies in debian/control.
  * Drop reverse-applicable patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 17:09:36 -0600

lxqt-config (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Enhancements to the theme list.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jun 2022 14:22:35 -0400

lxqt-config (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove old Breaks/Replaces since we're past the LTS.
  * Add a new entry to the install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 15:00:38 -0500

=== debian/control ===
Source: lxqt-config
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5screen-dev,
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               lxqt-menu-data (>= 1.4.0),
               qtbase5-private-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          qt5-style-plugins,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 This package contains the l10n files needed by lxqt-config.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

## lxqt-config 2.0.0

=== debian/changelog ===
lxqt-config (2.0.0-0ubuntu2) oracular; urgency=medium

  * Fix libkscreen build dep package name.

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Aug 2024 11:33:02 +0100

lxqt-config (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Remove obsolete patches.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:41:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5screen-dev,
-               libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.4.0),
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libkscreen-dev,
+               libkf6windowsystem-dev,
+               liblxqt2-dev (>= 1.4.0),
                libx11-dev,
                libxcb-randr0-dev,
                libxcursor-dev,
                libxfixes-dev,
                libxi-dev,
-               lxqt-menu-data (>= 1.4.0),
-               qtbase5-private-dev,
+               lxqt-menu-data (>= 2.0.0),
                xserver-xorg-input-libinput-dev,
+               qt6-base-private-dev,
+               qt6-svg-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
@@ -45,7 +44,6 @@
           lxappearance,
           lxqt | lxqt-core,
           obconf-qt,
-          qt5-style-plugins,
           synaptic
 Description: LXQt system settings center
  The LXQt system settings center
@@ -56,6 +54,6 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for lxqt-config
  This package contains the l10n files needed by lxqt-config.

## lxqt-config 2.1.0

=== debian/changelog ===
lxqt-config (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Dec 2024 09:41:56 +0800

lxqt-config (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable. (Closes: #1079809)
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:07:37 +0100

lxqt-config (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: update Recommends to lxqt-qtplugin6
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-private-
    dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libkf5screen-dev -> libkscreen-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on lxqt-menu-data (>= 2.0.0~)

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: drop qt5-style-plugins from recommends as it's
    included in qt6-base.
  * debian/control: suggests on nm-tray over cmst and
    network-manager-gnome.
  * Run wrap-and-sort.
  * debian/control: build-deps on liblayershellqtinterface-dev (>=
    6.0.0~).
  * debian/copyright: update.
  * debian/control: build-deps on qt6-tools-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 17:10:14 +0200

lxqt-config (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078293)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Sep 2024 18:33:51 +0200

lxqt-config (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error.

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0.
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: build-deps on lxqt-menu-data.
  * debian/lxqt-config.install: drop files that belongs to
    lxqt-menu-data package.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 17:55:32 +0100

lxqt-config (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/upstream/metadata: add Repository-Browse field.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/control: update Suggests from gnome-themes-standard to
    gnome-themes-extra. (Closes:#992403)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 09:51:56 +0200

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libkscreen-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               liblxqt-dev (>= 2.1.0~),
               libxcb-randr0-dev,
               libxcursor-dev,
               libxi-dev,
               lxqt-menu-data (>= 2.0.0~),
               qt6-base-private-dev,
               qt6-tools-dev,
               qttools5-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config
Rules-Requires-Root: no

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin6,
            lxqt-session,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-extra,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          nm-tray [linux-any] | cmst [linux-any] | network-manager-gnome [linux-any],
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contains the l10n files needed by the lxqt-config.

## lxqt-config 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -25,16 +25,15 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-set(KF5_MINIMUM_VERSION "5.36.0")
-set(KF5SCREEN_MINIMUM_VERSION "5.27.0")
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(KF6_MINIMUM_VERSION "6.0.0")
+set(KF6SCREEN_MINIMUM_VERSION "6.0.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
+set(QT_MINIMUM_VERSION "6.6.0")
 
-find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Xml ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)
 
@@ -42,7 +41,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_CONFIG_PATCH_VERSION 0)
+set(LXQT_CONFIG_PATCH_VERSION 1)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
 add_definitions(

=== lxqt-config-appearance/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(lxqt-config-appearance)
 
 include_directories(
-    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
     "${CMAKE_CURRENT_SOURCE_DIR}/../liblxqt-config-cursor"
 )
 
@@ -73,9 +73,8 @@
 )
 
 target_link_libraries(${PROJECT_NAME}
-    Qt5::Widgets
-    Qt5::X11Extras
-    Qt5::Xml
+    Qt6::Widgets
+    Qt6::Xml
     ${LIBRARIES}
     lxqt-config-cursor
 )

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -99,8 +99,7 @@
 )
 
 set(lxqt-config-input_TLBS
-    Qt5::Widgets
-    Qt5::X11Extras
+    Qt6::Widgets
     ${X11_LIBRARIES}
     lxqt
     lxqt-config-cursor

=== liblxqt-config-cursor/translations/CMakeLists.txt ===
project(lxqt-config-cursor)

build_component("." "")

=== lxqt-config-appearance/translations/CMakeLists.txt ===
project(lxqt-config-appearance)

build_component("." "")

=== lxqt-config-file-associations/translations/CMakeLists.txt ===
project(lxqt-config-file-associations)

build_component("." "")

=== debian/changelog ===
lxqt-config (2.1.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.1. (Closes: #976213)
  * debian/copyright: update.
  * debian/manpages: rename manpage for lxqt-config-input.

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 16:31:49 +0100

lxqt-config (2.1.0-2) unstable; urgency=medium

  * debian/control: suggests on nm-connection-editor and
    network-manager-applet package instead. (Closes: #1086832)

 -- Macy Lin <macy@debconf.org>  Sat, 14 Dec 2024 22:21:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxqt-config
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Macy Lin <macy@debconf.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -41,7 +42,8 @@
           gparted | partitionmanager [linux-any],
           lxappearance,
           lxqt | lxqt-core,
-          nm-tray [linux-any] | cmst [linux-any] | network-manager-gnome [linux-any],
+          nm-connection-editor,
+          nm-tray [linux-any] | cmst [linux-any] | network-manager-applet [linux-any],
           obconf-qt,
           synaptic
 Description: LXQt system settings center

## lxqt-config 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(KF6SCREEN_MINIMUM_VERSION "6.0.0")
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 set(QT_MINIMUM_VERSION "6.6.0")
 
 find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -41,7 +41,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Patch Version
-set(LXQT_CONFIG_PATCH_VERSION 1)
+set(LXQT_CONFIG_PATCH_VERSION 0)
 
 set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
 add_definitions(

=== liblxqt-config-cursor/CMakeLists.txt ===
project(lxqt-config-cursor)

find_package(X11 REQUIRED)
find_package(XCB REQUIRED XCB)
include_directories(${XCB_INCLUDE_DIRS})
link_libraries(${XCB_LIBRARIES})

include_directories (
    ${X11_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/xcr
)

set(lxqt-config-cursor_HDRS
    thememodel.h
    previewwidget.h
    itemdelegate.h
    selectwnd.h
    warninglabel.h
)

set(lxqt-config-cursor_SRCS
    crtheme.cpp
    selectwnd.cpp
    xcr/xcrimg.cpp
    xcr/xcrxcur.cpp
    xcr/xcrthemefx.cpp
    xcr/xcrtheme.cpp
    xcr/xcrthemexp.cpp
    cfgfile.cpp
    previewwidget.cpp
    itemdelegate.cpp
    thememodel.cpp
    warninglabel.cpp
)

set(lxqt-config-cursor_UIS
    selectwnd.ui
    warninglabel.ui
)

find_package(ZLIB REQUIRED)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-config-cursor_HDRS}
        ${lxqt-config-cursor_SRCS}
        ${lxqt-config-cursor_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-config-cursor_QM_LOADER ${PROJECT_NAME})

#************************************************

add_library(lxqt-config-cursor
    SHARED
        ${lxqt-config-cursor_SRCS}
        ${DESKTOP_FILES}
        ${QM_FILES}
        ${lxqt-config-cursor_QM_LOADER}
)

target_link_libraries(lxqt-config-cursor
    Qt6::DBus
    Qt6::Xml
    ${X11_X11_LIB}
    ${X11_Xcursor_LIB}
    lxqt
    ${ZLIB_LIBRARY}
    ${X11_Xfixes_LIB}
)
# not needed probably ${X11_Xfixes_LIB})

install(TARGETS
    lxqt-config-cursor
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/${LXQT_CONFIG_PROJECT}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDOR}/applications"
    COMPONENT Runtime
)

install(FILES
    man/lxqt-config-input.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== lxqt-config-file-associations/CMakeLists.txt ===
--- 
+++ 
@@ -57,9 +57,9 @@
 )
 
 target_link_libraries(${PROJECT_NAME}
-    Qt5::Xml
-    Qt5::DBus
-    Qt5::Widgets
+    Qt6::Xml
+    Qt6::DBus
+    Qt6::Widgets
     ${LIBRARIES}
 )

=== lxqt-config-input/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
     mouseconfig.h
     keyboardlayoutconfig.h
     selectkeyboardlayoutdialog.h
+    ../lxqt-config-appearance/configothertoolkits.h
 )
 
 set(lxqt-config-input_SRCS
@@ -43,6 +44,7 @@
     mouseconfig.cpp
     keyboardlayoutconfig.cpp
     selectkeyboardlayoutdialog.cpp
+    ../lxqt-config-appearance/configothertoolkits.cpp
 )
 
 set(lxqt-config-input_UIS

=== lxqt-config-locale/CMakeLists.txt ===
project(lxqt-config-locale)

set(H_FILES
    localeconfig.h
)


set(CPP_FILES
    main.cpp
    localeconfig.cpp
)

set(UI_FILES
    localeconfig.ui
)

qt6_wrap_cpp(COMBO_HEADER combobox.h)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${PROJECT_NAME}.desktop.in USE_YAML)

#************************************************

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${COMBO_HEADER}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${QM_FILES}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt6::Widgets
    Qt6::Xml
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== lxqt-config-monitor/CMakeLists.txt ===
project(lxqt-config-monitor)

find_package(KF6Screen ${KF6SCREEN_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Svg ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6SvgWidgets ${QT_MINIMUM_VERSION} REQUIRED)

set(HEADERS
    monitorsettingsdialog.h
    monitor.h
    monitorwidget.h
    monitorpicture.h
    loadsettings.h
    settingsdialog.h
    managesavedsettings.h
    fastmenu.h
    kscreenutils.h
)

set(SOURCES
    main.cpp
    monitorsettingsdialog.cpp
    monitor.cpp
    monitorwidget.cpp
    timeoutdialog.cpp
    monitorpicture.cpp
    loadsettings.cpp
    settingsdialog.cpp
    managesavedsettings.cpp
    fastmenu.cpp
    kscreenutils.cpp
)

set(UIS
    monitorsettingsdialog.ui
    monitorwidget.ui
    timeoutdialog.ui
    monitorpicture.ui
    managesavedsettings.ui
    fastmenu.ui
)

set(ICONS
    icons/monitor.svg
)

# Config file
configure_file(resources/configure.in configure.h)

# Translations **********************************
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${HEADERS}
        ${SOURCES}
        ${UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES "resources/${PROJECT_NAME}.desktop.in" USE_YAML)

#************************************************

add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${RESOURCES}
    ${QRC_SOURCES}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    Qt6::Widgets
    Qt6::Svg
    Qt6::SvgWidgets
    KF6::Screen
    lxqt
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES ${DESKTOP_FILES} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/applications")
install(FILES ${ICONS} DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt/icons")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -45,8 +45,8 @@
 )
 
 target_link_libraries(lxqt-config
-    Qt5::Widgets
-    Qt5::Xml
+    Qt6::Widgets
+    Qt6::Xml
     lxqt
 )

=== lxqt-config-locale/translations/CMakeLists.txt ===
project(lxqt-config-locale)

build_component("." "")

=== src/qcategorizedview/CMakeLists.txt ===
project(qcategorizedview)

set(SOURCES
    qcategorizedview.cpp
    qcategorydrawer.cpp
    qcategorizedsortfilterproxymodel.cpp
)

add_library(qcategorizedview STATIC ${SOURCES})
target_link_libraries(qcategorizedview Qt6::Widgets)

=== src/translations/CMakeLists.txt ===
project(lxqt-config)

build_component("." "")

=== debian/changelog ===
lxqt-config (2.2.0-2) unstable; urgency=medium

  * d/control: Fix Recommends (Closes: #1115449)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 17 Sep 2025 23:00:49 +0800

lxqt-config (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 22:59:23 +0800

lxqt-config (2.2.0-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/upstream: Fix broken signing-key.asc

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-menu-data (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 14:46:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
                libkf6windowsystem-dev,
                libkscreen-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libxcb-randr0-dev,
                libxcursor-dev,
                libxi-dev,
-               lxqt-menu-data (>= 2.0.0~),
+               lxqt-menu-data (>= 2.2.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-base-private-dev,
                qt6-tools-dev,
                qttools5-dev,
                xserver-xorg-input-libinput-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
 Homepage: https://github.com/lxqt/lxqt-config
@@ -32,7 +33,7 @@
             lxqt-config-l10n,
             lxqt-policykit,
             lxqt-powermanagement,
-            lxqt-qtplugin6,
+            lxqt-qtplugin,
             lxqt-session,
             system-config-printer,
             xsettingsd

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
    CONF_FLAGS += -DWITH_TOUCHPAD=NO
endif


%:
	dh ${@} --buildsystem cmake

override_dh_makeshlibs:
	dh_makeshlibs -Xlxqt-config

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CONF_FLAGS)
execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"
